karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Updated] (KARAF-1728) BundleException: Bundle installation rejected by hook. error when installing from features XML file
Date Thu, 21 May 2015 07:00:22 GMT

     [ https://issues.apache.org/jira/browse/KARAF-1728?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré updated KARAF-1728:
----------------------------------------
    Fix Version/s:     (was: 3.0.4)
                   3.0.5

> BundleException: Bundle installation rejected by hook. error when installing from features
XML file
> ---------------------------------------------------------------------------------------------------
>
>                 Key: KARAF-1728
>                 URL: https://issues.apache.org/jira/browse/KARAF-1728
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>    Affects Versions: 3.0.0
>            Reporter: Hendy Irawan
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 4.0.0.M3, 3.0.5
>
>
> Console:
> {code}
> karaf@root()> feature:install -v commerce-shell
> Installing feature commerce-shell 4.0.1-SNAPSHOT
> Installing feature commerce-core 4.0.1-SNAPSHOT
> Installing feature oss-deps 1.0.0
> Installing feature httpclient 4.2.1
> Installing feature jpa 1.0.0
> Installing feature xml-specs-api 1.9.0
> Installing feature soluvas-framework 1.0.0-SNAPSHOT
> Installing feature magja 1.0.3-SNAPSHOT
> Installing feature http 3.0.0-SNAPSHOT
> Installing feature apache-ldap-client 1.0.0-M12
> Installing feature drools 5.4.0
> Installing feature blueprints-neo4j 1.2
> Installing feature neo4j 1.7.2
> Installing bundle wrap:mvn:org.neo4j/neo4j-kernel/1.8.M07$Export-Package=org.neo4j.unsafe.batchinsert;neo4j-kernel;=split,*
> Installing bundle wrap:mvn:org.neo4j/neo4j-lucene-index/1.8.M07$Export-Package=org.neo4j.unsafe.batchinsert;neo4j-lucene-index;=split,*
> Installing bundle wrap:mvn:org.neo4j/neo4j-cypher/1.8.M07
> Installing bundle wrap:mvn:org.neo4j/neo4j-rest-graphdb/1.7
> Installing bundle wrap:mvn:com.tinkerpop.blueprints/blueprints-core/1.2
> Installing bundle wrap:mvn:com.tinkerpop.blueprints/blueprints-neo4j-graph/1.2
> Installing bundle wrap:mvn:com.tinkerpop/frames/0.7
> Installing feature soluvas-image-store 1.0.0-SNAPSHOT
> Installing bundle wrap:mvn:net.coobird/thumbnailator/0.4.1
> Installing bundle mvn:org.soluvas/soluvas-image-store/1.0.0-SNAPSHOT
> Installing feature soluvas-ldap 1.0.0-SNAPSHOT
> Installing bundle mvn:org.apache.geronimo.specs/geronimo-validation_1.0_spec/1.1
> Installing bundle wrap:mvn:org.picketlink.idm/picketlink-idm-common/1.5.0.Alpha02$Export-Package=*;version=1.5.0.Alpha02
> Installing bundle wrap:mvn:org.picketlink.idm/picketlink-idm-api/1.5.0.Alpha02$Export-Package=*;version=1.5.0.Alpha02
> Installing bundle mvn:org.soluvas/soluvas-ldap/1.0.0-SNAPSHOT
> Installing feature openjpa 2.2.0
> Installing feature jndi 1.0.0
> Found installed bundle: org.apache.aries.util [9]
> Installing bundle mvn:org.apache.aries.jndi/org.apache.aries.jndi.api/1.0.0
> Installing bundle mvn:org.apache.aries.jndi/org.apache.aries.jndi.core/1.0.0
> Installing bundle mvn:org.apache.aries.jndi/org.apache.aries.jndi.rmi/1.0.0
> Installing bundle mvn:org.apache.aries.jndi/org.apache.aries.jndi.url/1.0.0
> Installing bundle mvn:org.apache.aries.jndi/org.apache.aries.jndi.legacy.support/1.0.0
> Installing feature transaction 1.0.0
> Installing bundle mvn:commons-pool/commons-pool/1.6
> Error executing command: Bundle installation rejected by hook.
> {code}
> Log and stack trace:
> {code}
> 2012-08-15 18:12:42,454 | INFO  | Thread-6         | ShellUtil                      
 | 40 - org.apache.karaf.shell.console - 3.0.0.SNAPSHOT | Exception caught while executing
command
> org.osgi.framework.BundleException: Bundle installation rejected by hook.
>         at org.apache.felix.framework.Felix.installBundle(Felix.java:2872)
>         at org.apache.felix.framework.BundleContextImpl.installBundle(BundleContextImpl.java:165)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installBundleIfNeeded(FeaturesServiceImpl.java:894)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.doInstallFeature(FeaturesServiceImpl.java:606)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatureDependency(FeaturesServiceImpl.java:657)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.doInstallFeature(FeaturesServiceImpl.java:600)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatureDependency(FeaturesServiceImpl.java:657)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.doInstallFeature(FeaturesServiceImpl.java:600)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeatures(FeaturesServiceImpl.java:450)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:431)
>         at org.apache.karaf.features.internal.FeaturesServiceImpl.installFeature(FeaturesServiceImpl.java:420)
>         at Proxyd6c71027_7662_4a47_bbd6_ba300c8a7c7a.installFeature(Unknown Source)
>         at org.apache.karaf.features.command.InstallFeatureCommand.doExecute(InstallFeatureCommand.java:62)
>         at org.apache.karaf.features.command.FeaturesCommandSupport.doExecute(FeaturesCommandSupport.java:38)
>         at org.apache.karaf.shell.console.AbstractAction.execute(AbstractAction.java:33)
>         at org.apache.karaf.shell.console.OsgiCommandSupport.execute(OsgiCommandSupport.java:39)
>         at org.apache.karaf.shell.commands.basic.AbstractCommand.execute(AbstractCommand.java:33)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)[:1.7.0_03]
>         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)[:1.7.0_03]
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)[:1.7.0_03]
>         at java.lang.reflect.Method.invoke(Method.java:601)[:1.7.0_03]
>         at org.apache.aries.proxy.impl.ProxyHandler$1.invoke(ProxyHandler.java:54)
>         at org.apache.aries.proxy.impl.ProxyHandler.invoke(ProxyHandler.java:119)
>         at org.apache.karaf.shell.console.commands.$BlueprintCommand1120262602.execute(Unknown
Source)
>         at org.apache.felix.gogo.runtime.CommandProxy.execute(CommandProxy.java:78)
>         at org.apache.felix.gogo.runtime.Closure.executeCmd(Closure.java:477)
>         at org.apache.felix.gogo.runtime.Closure.executeStatement(Closure.java:403)
>         at org.apache.felix.gogo.runtime.Pipe.run(Pipe.java:108)
>         at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:183)
>         at org.apache.felix.gogo.runtime.Closure.execute(Closure.java:120)
>         at org.apache.felix.gogo.runtime.CommandSessionImpl.execute(CommandSessionImpl.java:89)
>         at org.apache.karaf.shell.console.impl.jline.ConsoleImpl.run(ConsoleImpl.java:179)
>         at java.lang.Thread.run(Thread.java:722)[:1.7.0_03]
>         at org.apache.karaf.shell.console.impl.jline.ConsoleFactoryService$3.doRun(ConsoleFactoryService.java:115)[40:org.apache.karaf.shell.console:3.0.0.SNAPSHOT]
>         at org.apache.karaf.shell.console.impl.jline.ConsoleFactoryService$3$1.run(ConsoleFactoryService.java:106)
>         at java.security.AccessController.doPrivileged(Native Method)[:1.7.0_03]
>         at javax.security.auth.Subject.doAs(Subject.java:356)[:1.7.0_03]
>         at org.apache.karaf.shell.console.impl.jline.ConsoleFactoryService$3.run(ConsoleFactoryService.java:104)[40:org.apache.karaf.shell.console:3.0.0.SNAPSHOT]
> {code}
> features XML snippet:
> {code}
> 	<feature name="openjpa" description="OpenJPA" version="2.2.0" resolver="(obr)">
> 		<feature>jndi</feature>
> 		<feature>transaction</feature>
> 		<feature>jpa</feature>
> 		<bundle start-level="50" dependency="true">mvn:commons-pool/commons-pool/1.6</bundle>
> 		<bundle start-level="50" dependency="true">mvn:commons-collections/commons-collections/3.2.1</bundle>
> 		<bundle start-level="50" dependency="true">mvn:commons-lang/commons-lang/2.6</bundle>
> 		<bundle start-level="50" dependency="true">mvn:commons-dbcp/commons-dbcp/1.4</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.serp/1.13.1_4</bundle>
> 		<bundle start-level="51">mvn:org.apache.openjpa/openjpa/2.2.0</bundle>
> 	</feature>
> 	<feature name="commerce-core" description="Bippo Commerce Core" version="4.0.1-SNAPSHOT"
resolver="(obr)">
> 		<feature>oss-deps</feature>
> 		<feature>httpclient</feature>
> 		<bundle start-level="50" dependency="true">mvn:org.apache.geronimo.specs/geronimo-ejb_3.1_spec/1.0.2</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.apache.geronimo.specs/geronimo-jaxrpc_1.1_spec/2.0.0</bundle><!--
jaxrpc 1.1.spec version 2.1 requires servlet 2.6 which Karaf 2.3 cannot provide -->
> 		<bundle start-level="50" dependency="true">mvn:javax.cache/cache-api/0.4</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.apache.geronimo.specs/geronimo-jcdi_1.0_spec/1.0</bundle>
> 		<bundle start-level="50" dependency="true">mvn:javax.el/javax.el-api/3.0-b02</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.apache.geronimo.specs/geronimo-interceptor_3.0_spec/1.0.1</bundle>
> 		<feature>jpa</feature>
> 		<feature version="1.9.0">xml-specs-api</feature>
> 		<feature version="1.0.0">oss-deps</feature>
> <!-- 		<feature version="4.0.0">stringtemplate</feature> -->
> 		<feature>soluvas-framework</feature>
> 		<feature>magja</feature>
> 		<feature>http</feature>
> 		<feature>apache-ldap-client</feature>
> 		<bundle start-level="50" dependency="true">mvn:com.typesafe.akka/akka-actor/2.1-M1/jar/patch2</bundle><!--
our own patch -->
> <!-- 		<bundle start-level="50" dependency="true">mvn:com.typesafe.akka/akka-kernel/2.1-M1</bundle>
-->
> <!-- 		<bundle start-level="50" dependency="true">mvn:com.typesafe.akka/akka-osgi/2.1-M1</bundle>
-->
> <!-- 		<bundle start-level="50" dependency="true">mvn:com.typesafe.akka/akka-osgi-aries/2.1-M1</bundle>
-->
> 		<bundle start-level="50" dependency="true">mvn:com.typesafe/config/0.4.1</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.scala-lang-osgi/scala-library/2.10.0-M6</bundle>
> 		<bundle start-level="50" dependency="true">wrap:mvn:com.github.spullara.mustache.java/compiler/0.8.2</bundle>
> 		<bundle start-level="50" dependency="true">wrap:mvn:com.google.code.morphia/morphia/0.99$DynamicImport-Package=*</bundle>
> 		<bundle start-level="50" dependency="true">wrap:mvn:com.google.code.morphia/morphia-logging-slf4j/0.99</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.mongodb/mongo-java-driver/2.8.0</bundle>
> 		<bundle start-level="50" dependency="true">wrap:mvn:com.restfb/restfb/1.6.9</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.apache.commons/commons-email/1.2</bundle>
> 		
> 		<!-- need to get rid of old Jackson someday -->
> 		<bundle start-level="50" dependency="true">mvn:org.codehaus.jackson/jackson-core-asl/1.9.9</bundle>
> 		<bundle start-level="50" dependency="true">mvn:org.codehaus.jackson/jackson-mapper-asl/1.9.9</bundle>
> 		<!-- need to get rid of old joda-time -->
> 		<bundle start-level="50" dependency="true">mvn:joda-time/joda-time/1.6.2</bundle>
> 		<feature>drools</feature>
> 		<feature>blueprints-neo4j</feature>
> 		<feature>soluvas-image-store</feature>
> 		<feature>soluvas-ldap</feature>
> 		
> 		<bundle start-level="50" dependency="true">mvn:mysql/mysql-connector-java/5.1.20</bundle>
> 		<feature>openjpa</feature>
> 		
> 	    <bundle start-level="100">mvn:id.co.bippo.commerce/commerce-core/4.0.1-SNAPSHOT</bundle>
> 	</feature>
> 	<feature name="commerce-shell" description="Bippo Commerce Shell" version="4.0.1-SNAPSHOT"
resolver="(obr)">
> 		<feature version="4.0.1-SNAPSHOT">commerce-core</feature>
> 		<bundle start-level="50" dependency="true">wrap:mvn:org.apache.jena/jena-iri/0.9.3</bundle>
> 		<bundle start-level="50" dependency="true">wrap:mvn:org.apache.jena/jena-core/2.7.3</bundle>
> 		<bundle start-level="50" dependency="true">wrap:mvn:org.apache.jena/jena-arq/2.9.3</bundle>
> 		
> 		<feature>soluvas-data</feature>
> 	    <bundle start-level="110">mvn:id.co.bippo.commerce/commerce-shell/4.0.1-SNAPSHOT</bundle>
> 	</feature>
> {code}
> Installing the bundle directly works fine:
> {code}
> karaf@root()> install -s mvn:commons-pool/commons-pool/1.6
> Bundle ID: 1295
> {code}
> but even after commons-pool is installed, I still can't install the whole feature due
to same error.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message